/*
 * IPWireless 3G PCMCIA Network Driver
 *
 * Original code
 *   by Stephen Blackheath <stephen@blacksapphire.com>,
 *      Ben Martel <benm@symmetric.co.nz>
 *
 * Copyrighted as follows:
 *   Copyright (C) 2004 by Symmetric Systems Ltd (NZ)
 *
 * Various driver changes and rewrites, port to new kernels
 *   Copyright (C) 2006-2007 Jiri Kosina
 */

#ifndef _IPWIRELESS_CS_TTY_H_
#define _IPWIRELESS_CS_TTY_H_

#include <linux/types.h>
#include <linux/sched.h>

#include <pcmcia/cs_types.h>
#include <pcmcia/cs.h>
#include <pcmcia/cistpl.h>
#include <pcmcia/ds.h>

struct ipw_tty_t;
struct ipw_network_t;
struct ipw_hardware_t;

int ipwireless_tty_init(int);

void ipwireless_tty_release(void);

struct ipw_tty_t *ipwireless_tty_create(struct pcmcia_device *, struct ipw_hardware_t *,
					struct ipw_network_t *, dev_node_t *);
void ipwireless_tty_free(struct ipw_tty_t *);
void ipwireless_tty_received(struct ipw_tty_t *, u_char *, unsigned int);
int ipwireless_tty_is_modem(struct ipw_tty_t *);
void ipwireless_tty_notify_control_line_change(struct ipw_tty_t *,unsigned int,
					       unsigned int, unsigned int);

#endif
